Bug 100569 - Clicking on mailto: URL does nothing, mail handler is broken.
Summary: Clicking on mailto: URL does nothing, mail handler is broken.
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: galeon (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Blizzard
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-23 14:18 UTC by Thomas Hopfner
Modified: 2007-04-18 16:56 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-03 14:53:55 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Thomas Hopfner 2003-07-23 14:18:43 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.11 (X11; Linux i686; U;) Gecko/20030708

Description of problem:
With the latest update for galeon (from 1.2.6-0.7.3 to 1.2.11-1.7.3) the mail
handler does not work anymore.

Version-Release number of selected component (if applicable):
galeon-1.2.11-1.7.3

How reproducible:
Always

Steps to Reproduce:
1.Assign mail handler in galeon: Settings -> Preferences -> Handlers -> Programs
-> Mail handler; select predefined default "xterm -e mutt ...". This also does
not work with any other settings for the mail handler, even own scripts are not
called at all.
2.close preferences dialog
3.select a page with "mailto:" link, click this link

    

Actual Results:  Nothing happens.

Expected Results:  The mail handler should be called, a window should be opened
to write a mail.

Additional info:

It worked with galeon-1.2.6, removing .gconf* and .galeon before executing
galeon-1.2.11 makes no difference, setting the gnome mail handler makes no
difference, too.

It simply seems, that the specified mail handler is not called at all.

Comment 1 Thomas Hopfner 2003-08-06 06:07:32 UTC
Anybody there?

Comment 2 Daryn Hanright 2003-08-21 03:45:37 UTC
I have also found the same thing with Red Hat 8.0.

I updated via up2date from:
Galeon 1.2.6 -> 1.2.11
Mozilla 1.01 -> Mozilla 1.02

Clicking on mailto: links worked in Galeon 1.2.6, but no longer in 1.2.11 with
Mozilla 1.0.2. None of the mailto options in Galeon under Handlers -> Programs work.

Have tried adding the appropriate mailto configs in Gnome, for example:
- .gnome/Gnome under [URL-Handlers]
- from Control Center adding a new mailto Internet Service

Nothing seems to work.

Comment 3 Daryn Hanright 2003-08-22 02:54:36 UTC
I wonder if what follows is a hint into what might be happening?...

http://www.geocrawler.com/archives/3/5085/2002/12/0/10272782/

"...I don't think it's a GCC 3.2 problem, but rather a Galeon compiled with
2.95.3 / GConf compiled with 3.2 version-mismatch problem..."

Possible?

Comment 4 Christopher Blizzard 2003-08-25 18:00:11 UTC
This should be fixed with the most recent builds.

Comment 5 Thomas Hopfner 2003-08-26 07:54:11 UTC
Great, I would love to try it, where can I find the most recent built?
Thank you!

Comment 6 Christopher Blizzard 2003-09-03 14:53:55 UTC
From rawhide or one of the recent betas.


Note You need to log in before you can comment on or make changes to this bug.